(* Program to Calculate the Traces of Eq. 3.85 de TC 

 Last Version: 06/12/2024
 Compatible with FeynCalc 10.1.0
 Author: Jorge C. Romao
 email: jorge.romao@tecnico.ulisboa.pt
*)

(* Uncomment to load Feyncalc *)
(*
 
<< FeynCalc`

*)

Remove["Global`*"]


(* Definitions *)

prop[p_,m_]:=GS[p]+m

(* Program *)
Line1:= prop[p4,m2] . GA[mu] . prop[p2,m2] . GA[nu]  
Line2:= prop[p3,m1] . GA[mu] . prop[p1,m1] . GA[nu]  
ans= Simplify[Contract[TR[Line1] TR[Line2]]]
ans=e^2 ans/t^2/4 ;


Print["\!\(\*FractionBox[\(1\), \(4\)]\) \!\(\*UnderscriptBox[\(\[Sum]\), \(spins\)]\)|M\!\(\*SuperscriptBox[\(|\), \(2\)]\) = ",ans]
(********************* End of Program **********************)
